LOGRESOLVE(1)

NAME
logresolve - Resolve IP-addresses to hostnames in Apache log files

SYNOPSIS

logresolve [ -s filename ] [ -c ] < access_log > access_log.new

SUMMARY

logresolve is a post-processing program to resolve IP-addresses in Apache's access logfiles. To minimize impact on your nameserver, logresolve has its very own internal hash-table cache. This means that each IP number will only be looked up the first time it is found in the log file.

Takes an Apache log file on standard input. The IP addresses must be the first thing on each line and must be separated from the remainder of the line by a space.

OPTIONS

-s filename
    Specifies a filename to record statistics.

-c  This causes logresolve to apply some DNS checks: after finding the hostname from the IP address, it looks up the IP addresses for the hostname and checks that one of these matches the original address.